## Deprecated API Deprecated API — Types and functions flagged as deprecated. |

## Functions

gboolean | mbim_message_device_service_subscriber_list_response_parse ()
MbimMessage * | mbim_message_device_service_subscriber_list_set_new ()

## Types and Values

#define | MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBER_LIST
#define | MBIM_REGISTRATION_FLAG_MANUAL_PACKET_SERVICE_AUTOMATIC_ATTACH

## Description

This section defines types and functions that have been deprecated.

## Functions

### mbim_message_device_service_subscriber_list_response_parse ()

    gboolean
    mbim_message_device_service_subscriber_list_response_parse
                                   (const MbimMessage *message,
                                    guint32 *events_count,
                                    MbimEventEntry ***events,
                                    GError **error);

`mbim_message_device_service_subscriber_list_response_parse` has been deprecated since version 1.8 and should not be used in newly-written code.

Use `mbim_message_device_service_subscribe_list_response_parse()` instead.

Create a new request for the 'Events' response command in the 'Basic Connect' service.

#### Parameters

message | the MbimMessage. |
events_count | return location for a guint32, or `NULL` if the 'EventsCount' field is not needed. |
events | return location for a newly allocated array of MbimEventEntrys, or `NULL` if the 'Events' field is not needed. Free the returned value with `mbim_event_entry_array_free()`. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.0

### mbim_message_device_service_subscriber_list_set_new ()

    MbimMessage *
    mbim_message_device_service_subscriber_list_set_new
                                   (guint32 events_count,
                                    const MbimEventEntry *const *events,
                                    GError **error);

`mbim_message_device_service_subscriber_list_set_new` has been deprecated since version 1.8 and should not be used in newly-written code.

Use `mbim_message_device_service_subscribe_list_set_new()` instead.

Create a new request for the 'Device Service Subscribe List' set command in the 'Basic Connect' service.

#### Parameters

events_count | the 'EventsCount' field, given as a guint32. |
events | the 'Events' field, given as an array of MbimEventEntrys. |
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.0

## Types and Values

### MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBER_LIST

    #define MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBER_LIST (MbimDeprecatedCidBasicConnect) MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBE_LIST

`MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBER_LIST` has been deprecated since version 1.8 and should not be used in newly-written code.

Use MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBE_LIST instead.

Device service subscribe list.

Since: 1.0

### MBIM_REGISTRATION_FLAG_MANUAL_PACKET_SERVICE_AUTOMATIC_ATTACH

    #define MBIM_REGISTRATION_FLAG_MANUAL_PACKET_SERVICE_AUTOMATIC_ATTACH (MbimDeprecatedRegistrationFlag) MBIM_REGISTRATION_FLAG_PACKET_SERVICE_AUTOMATIC_ATTACH

`MBIM_REGISTRATION_FLAG_MANUAL_PACKET_SERVICE_AUTOMATIC_ATTACH` has been deprecated since version 1.8 and should not be used in newly-written code.

Use MBIM_REGISTRATION_FLAG_PACKET_SERVICE_AUTOMATIC_ATTACH instead.

Modem should auto-attach to the network after registration.

Since: 1.0